Add feedback

POST <baseURL>/feedbacks

This request adds feedback or ratings details for a prior delivery.

The client must capture the feedback information from their own application.
The information can then be used in this request to report it to Walmart GoLocal.

Feedback can be added any time after a completed delivery.
Repeating this request adds feedback for the delivery.
That means the same delivery may have multiple feedback comments and ratings.

Example

The following example creates a feedback note for externalOrderId` of 2824938598 with a rating of five.

POST {baseURL}/feedbacks

Request body:

{ "clientId": "2", "externalOrderId": "74829491422933", "rating": 5, "comment": "Great service. And friendly, too!"
}

Response body:

{ "id": "2624cee5-b00d-48c7-9d8f-598025f144e6"
}

See Also

To retrieve feedback details for a prior delivery or delivery driver, see POST /clients/tips/{clientId}/externalorder/{externalOrderId}.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specifies the feedback and rating values for the delivery.

Specifies an object for the delivery driver feedback.

string
required

Describes the client identifier associated with the client.

Example: 2

string
required

Describes the external order ID.

The externalOrderId is a value specified by the client at the time the order is placed.
This allows the client to customize the order number, such as to be consistent with their own numbering system, or to be easier to read.
The externalOrderId is different than the deliveryId, which is a value assigned by Walmart GoLocal at the
time the order is placed.
Regardless, the externalOrderId and deliveryId refer to the same delivery order.

Examples:

465-RMN-TU

APAL:1541:0154120240819032474

74829491422933

integer
required

Specifies the rating value to be assigned to delivery driver.

The integer values range from 1, indicating the lowest rating, to 5, indicating the highest rating.

Valid values are:

1

2

3

4

5

Example: 5

string

Specifies the feedback from customer regarding the delivery experience.

The maximum feedback length is 1000 characters.

Example: "Great service. And friendly, too!"

Headers
string
required

Specifies the literal value for Bearer <authenticationToken>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for the <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json